Skip to main content
GET
List of Attributes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[directory_attribute_id_successor]
string
filter[type]
string

Search custom organization business logic metadata key/value pairs for any partial string.

filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[expires_before]
string
filter[expires_after]
string
filter[expired_before]
string
filter[expired_after]
string
filter[deactivated_before]
string
filter[deactivated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

include
enum<string>[]
Available options:
attribute-conditions-count,
attribute-predecessors-count,
manifest-users-count,
qualified-users-count,
staged-users-count,
policy-rules-count,
attribute-predecessors,
attribute-predecessors-count,
attribute-predecessors-exists,
policy-rules,
policy-rules-count,
policy-rules-exists
filter
string
page
string
sort
string

Filter by a partial match of the attribute ID

filter[integration_id]
string

Filter by an exact match of the integration ID

filter[integration_type]
string

Filter by an exact match of the integration type (polymorphic morph class)

filter[directory_dimension_id]
string

Filter by an exact match of the directory dimension ID

filter[profile_value]
string

Filter by an exact match of the profile key field value

Filter by a partial match of the profile key field value

filter[name]
string

Filter by an exact match of the name field

Filter by a partial match of the name field

filter[handle]
string

Filter by an exact match of the handle field

Filter by a partial match of the handle field

filter[blueprint_signature]
string

Filter by an exact match of the blueprint signature field

Filter by a partial match of the blueprint signature field

filter[conditions_enabled]
string

Filter by whether this attribute can be used for conditions

filter[state]
string

Filter by an exact match of the state field

Response

id
string
required
Example:

"dratr_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the directory attribute

Available options:
staged,
active,
expiring,
expired,
deactivated
Example:

"active"

type
enum<string>
required

The type of the directory attribute

Available options:
integration,
ruleset,
catch
Example:

"integration"

name
string | null
required

The name of the attribute

Example:

"Engineering"

handle
string | null
required

The handle of the attribute

Example:

"eng"

blueprint_signature
string | null
required

If this Attribute is generated from a Blueprint, this is the signature of the blueprint when it is created. This allows tracking of which attributes were created from which blueprint version, while allowing the handle and name to be renamed to a more descriptive name based on business needs

Examples:

"{blueprint_id_last4}-{dimension_id}-{attribute_id}-{ref_id}"

"bbbb-dddd-aaaa-rrrr"

profile_value
string | null
required

The raw value of the attribute from the Vendor API

Example:

"Engineering"

timestamp
TimestampStateData · object
required

The timestamps for the attribute record

count
object
required

Counts of related resources

included
string[]
required

Included related resources.

attribute_successor: DirectoryAttributeSummaryResponseData|null, attribute_predecessors: array|null integration: IntegrationSummaryResponseData|null, directory_dimension: DirectoryDimensionSummaryResponseData|null, policy_ruleset: PolicyRulesetSummaryResponseData|null, policy_rules: array|null, }

Minimum array length: 1

API hyperlinks related to the attribute record